curl --request GET \
--url https://api.tensormesh.ai/v1/admin/users \
--header 'Authorization: Bearer <token>'{
"users": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"userEmail": "<string>",
"authProvider": "AUTH_PROVIDER_UNSPECIFIED",
"authProviderId": "<string>",
"avatarUrl": "<string>",
"stripeCusId": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"apiKey": "<string>",
"company": "<string>",
"tosAcceptedAt": "2023-11-07T05:31:56Z",
"surveyCompletedAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"size": 123,
"total": 123
}Admin-only user listing and role-change operations.
curl --request GET \
--url https://api.tensormesh.ai/v1/admin/users \
--header 'Authorization: Bearer <token>'{
"users": [
{
"id": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"displayName": "<string>",
"userEmail": "<string>",
"authProvider": "AUTH_PROVIDER_UNSPECIFIED",
"authProviderId": "<string>",
"avatarUrl": "<string>",
"stripeCusId": "<string>",
"userRole": "USER_ROLE_UNSPECIFIED",
"apiKey": "<string>",
"company": "<string>",
"tosAcceptedAt": "2023-11-07T05:31:56Z",
"surveyCompletedAt": "2023-11-07T05:31:56Z"
}
],
"page": 123,
"size": 123,
"total": 123
}Use this group for admin user-management operations. Common operations:Documentation Index
Fetch the complete documentation index at: https://docs.tensormesh.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication using an access token. Format: Bearer <access_token>
The unique ID of the operator user.
Page number (1-based).
Page size.
Was this page helpful?